%bcond_without check

%global goipath         github.com/marcinbor85/gohex
%global commit          baab2527a9a2a4abb3dc06baabedfa5e0268b8d8

%gometa

%global common_description %{expand:
A Go library for parsing Intel HEX files.}

%global golicenses      LICENSE
%global godocs          example README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Go library for parsing Intel HEX files

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.gitbaab252
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
